Bug 119854 - Machine locks hard when logging out of Gnome or KDE
Machine locks hard when logging out of Gnome or KDE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i386 Linux
high Severity high
: ---
: ---
Assigned To: Mike A. Harris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 12:15 EST by Arnold Hayden
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 01:57:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnold Hayden 2004-04-02 12:15:11 EST
Description of problem:

Machine locks hard when logging out of Gnome or KDE. Doesn't even
respond to pings.  

Version-Release number of selected component (if applicable):
gdm-2.5.90.2-3

How reproducible:

Very

Steps to Reproduce:
1. Log out of KDE or Gnome
2. Watch machine die
3. Hard Reboot
  
Actual results:

Machine dies.

Expected results:

GDM returns to login menu

Additional info:

Machine is a Dell GX240 - P4 1.8, ATI Rage128 Graphics, Intel i8x0 audio.
Comment 1 Arnold Hayden 2004-04-02 13:25:21 EST
Also, SELinux is disabled. 
Comment 2 Bill Lash 2004-05-01 20:07:57 EDT
I have a Compaq 2190US laptop that shows the same issue, However, it
also locks up if I try to change to a virtual console using ctrl-alt-f2.

Also if I try to reboot from inside an Xterm, it still locks up when
the Xserver is killed.

This leads me to believe it isn't gdm, but the X server.  I don't
see anything interesting in the X log.  I also have the ATI Rage128
if I remember correctly (I am posting this from my desktop so all of
this is from memory).  I am running from an original install of FC2T1
that I have upgraded to present.  

I am thinking of re-installing FC2T3 from a dvd iso that I downloaded
to see if that will help
Comment 3 Alan Cox 2004-05-03 10:16:57 EDT
Moving to Xorg.
Comment 4 Mike Hall 2004-05-13 01:59:09 EDT
I also have this problem with a ibm thinkpad R50p. Swtiching to virt
consoles or exiting X causes a hard lock. Caplock key does not change
the led, no response to pings, etc.

I installed from DVD for FC2test3. I have verified the media with the
media check option.

xorg id's the card as ATI Technologies Inc unknown chipset (0x4e54)
rev 128. 

If you need additional information let me know.
Comment 5 Mike Hall 2004-05-13 02:11:08 EDT
BTW I forgot to mention. I can get this to lock with very minimal
interaction with other apps. No gpm etc. Just running "X" from the
command line. It always locks hard. Very reproducable.
Comment 6 Ale Feltes Quenhan 2004-05-14 18:09:50 EDT
Same problem: Crash when loggin out, and when trying to switch to
terminal with CTRL-ALT-Fn, and need to hard reboot. I also locks when
starting in runlevel 5. 
Happens every time.
I have a FC2-test3 running on a Asus A7V266-MX, on board S3 UniChrome
Video Card. (VIA Unichrome 2D/3D)

[afeltes@kristin afeltes]$ lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8378 [KM400] Chipset
Host Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 50)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II]
(rev 74)
01:00.0 VGA compatible controller: VIA Technologies, Inc. VT8378 [S3
UniChrome] Integrated Video (rev 01)
Comment 7 Mike Hall 2004-05-18 18:20:14 EDT
Just tested this with FC2 final release installed from the DVD. I no
longer see the issue. Everything works as I would expect. I can change
to VC's and back; I can exit the X server and the machine will not
lock up. As far as I am concerned this issue is resolved.

Note You need to log in before you can comment on or make changes to this bug.